<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketMessageFilesTable extends Migration
{
    public function up()
    {
        Schema::create('ticket_message_files', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('message_id')->nullable();
            $table->string('url')->nullable();
            $table->string('name')->nullable();
            $table->string('type')->nullable();
            $table->integer('lms_id')->default(1);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('ticket_message_files');
    }
}
